package com.dome.pokiiez;
import android.content.Context;
import android.content.Intent;
import android.support.v4.app.FragmentActivity;
import android.os.Bundle;

import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;

public class MapsActivity extends FragmentActivity {

    private GoogleMap mMap; // Might be null if Google Play services APK is not available.



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_maps);
        setUpMapIfNeeded();
        CameraPosition cameraPosition = new CameraPosition(new LatLng(7.8927067,98.3779442), 13, 70, mMap.getCameraPosition().bearing);
        mMap.animateCamera(CameraUpdateFactory.newCameraPosition(cameraPosition));
        //LatLng PHUKET = new LatLng(7.9665319,98.3599288);
        //7.9665319, 98.3599288
    }

    private void moveToCurrentLocation(LatLng currentLocation)
    {
        mMap.moveCamera(CameraUpdateFactory.newLatLngZoom(currentLocation, 15));
        // Zoom in, animating the camera.
        mMap.animateCamera(CameraUpdateFactory.zoomIn());
        // Zoom out to zoom level 10, animating with a duration of 2 seconds.
        mMap.animateCamera(CameraUpdateFactory.zoomTo(14), 2000, null);


    }
    @Override
    protected void onResume() {
        super.onResume();
        setUpMapIfNeeded();
    }

    /**
     * Sets up the map if it is possible to do so (i.e., the Google Play services APK is correctly
     * installed) and the map has not already been instantiated.. This will ensure that we only ever
     * call {@link #setUpMap()} once when {@link #mMap} is not null.
     * <p/>
     * If it isn't installed {@link SupportMapFragment} (and
     * {@link com.google.android.gms.maps.MapView MapView}) will show a prompt for the user to
     * install/update the Google Play services APK on their device.
     * <p/>
     * A user can return to this FragmentActivity after following the prompt and correctly
     * installing/updating/enabling the Google Play services. Since the FragmentActivity may not
     * have been completely destroyed during this process (it is likely that it would only be
     * stopped or paused), {@link #onCreate(Bundle)} may not be called again so we should call this
     * method in {@link #onResume()} to guarantee that it will be called.
     */
    private void setUpMapIfNeeded() {

        // Do a null check to confirm that we have not already instantiated the map.
        if (mMap == null) {
            // Try to obtain the map from the SupportMapFragment.
            mMap = ((SupportMapFragment) getSupportFragmentManager().findFragmentById(R.id.map))
                    .getMap();
            // Check if we were successful in obtaining the map.
            if (mMap != null) {
                setUpMap();
            }
        }
    }

    /**
     * This is where we can add markers or lines, add listeners or move the camera. In this case, we
     * just add a marker near Africa.
     * <p/>
     * This should only be called once and when we are sure that {@link #mMap} is not null.
     */

    private void setUpMap() {
        final Intent intent1;

        mMap.addMarker(new MarkerOptions().position(new LatLng(7.894524, 98.3521533)).title("PSU"));
        mMap.addMarker(new MarkerOptions().position(new LatLng(7.8802495, 98.3743185)).title("SuanLuang"));
        mMap.addMarker(new MarkerOptions().position(new LatLng(7.8966146, 98.3842944)).title("Vachira"));
      //  mMap.addMarker(new MarkerOptions().position(new LatLng(7.9087701, 98.3351064)).title("Kathu"));
        //mMap.addMarker(new MarkerOptions().position(new LatLng(7.9097187, 98.3869799)).title("Rajaphat"));
        mMap.addMarker(new MarkerOptions().position(new LatLng(7.8641471, 98.3995062)).title("Sapanhin"));
        mMap.addMarker(new MarkerOptions().position(new LatLng(7.8912854, 98.3905215)).title("Satree"));
        mMap.addMarker(new MarkerOptions().position(new LatLng(7.8922676, 98.3890057)).title("Phuketvit"));
        mMap.setOnMarkerClickListener(new GoogleMap.OnMarkerClickListener() {
            @Override

            public boolean onMarkerClick(Marker marker) {
                Intent i = new Intent(getApplicationContext(), GmapMoo.class);
                Intent ii = new Intent(getApplicationContext(), GmapSuan.class);
                Intent iii = new Intent(getApplicationContext(), GmapVatchira.class);
                Intent iiii = new Intent(getApplicationContext(), GmapSapanhin.class);
                //Intent iiiii = new Intent(getApplicationContext(), GmapRajaphat.class);
               // Intent iiiiii = new Intent(getApplicationContext(), GmapKathu.class);
                Intent iiiiiii = new Intent(getApplicationContext(), GmapSatree.class);
                Intent iiiiiiii = new Intent(getApplicationContext(), GmapPhuketvit.class);
                if (marker.getTitle().equals("PSU"))
                    startActivity(i);

                else if (marker.getTitle().equals("SuanLuang"))
                    startActivity(ii);

                else if (marker.getTitle().equals("Vachira"))
                    startActivity(iii);

                else if (marker.getTitle().equals("Sapanhin"))
                    startActivity(iiii);

                //else if (marker.getTitle().equals("Rajaphat"))
                  //  startActivity(iiiii);

                //else if (marker.getTitle().equals("Kathu"))
                  //  startActivity(iiiiii);

                else if (marker.getTitle().equals("Satree"))
                    startActivity(iiiiiii);

                else if (marker.getTitle().equals("Phuketvit"))
                    startActivity(iiiiiiii);

                return false;
            }
        });
    }
}
